# Interface RcsbFv3DCustomComponentState<R, L, S>

#### Type Parameters

- #### R

- #### L

- #### S

#### Hierarchy

- RcsbFv3DCustomComponentState

- Defined in src/RcsbFv3D/RcsbFv3DCustomComponent.tsx:40

#####
Index

### Properties

pfvScreenFraction
sequencePanelConfig
structurePanelConfig

## Properties

### pfvScreenFraction

pfvScreenFraction: number

- Defined in src/RcsbFv3D/RcsbFv3DCustomComponent.tsx:43

### sequencePanelConfig

sequencePanelConfig: RcsbFvCustomSequenceInterface<R, L>

- Defined in src/RcsbFv3D/RcsbFv3DCustomComponent.tsx:42

### structurePanelConfig

structurePanelConfig: RcsbFvStructureConfigInterface<R, S>

- Defined in src/RcsbFv3D/RcsbFv3DCustomComponent.tsx:41

Generated using TypeDoc